## GoLine

GoLine —

## Synopsis

    enum        GOLineDashType;
    GOLineDashType go_line_dash_from_str        (char const *name);
    charconst 	* go_line_dash_as_str            (GOLineDashType type);
    void        go_line_vpath_dash_free         (ArtVpathDash *dash);
    ArtVpathDash* go_line_get_vpath_dash        (GOLineDashType type,
                                                 double scale);
    ArtVpath*   go_line_clip_vpath              (ArtVpath const *path,
                                                 GogViewAllocation const *bbox);
    ArtVpath*   go_line_dash_vpath              (ArtVpath const *path,
                                                 ArtVpathDash const *dash,
                                                 GogViewAllocation const *bbox);
    gpointer    go_line_dash_selector           (GOLineDashType default_type);
    ArtBpath*   go_line_build_bpath             (double const *x,
                                                 double const *y,
                                                 int n);
    ArtVpath*   go_line_build_vpath             (double const *x,
                                                 double const *y,
                                                 int n);

## Description

## Details

### enum GOLineDashType

    typedef enum {
    	GO_LINE_NONE,
    	GO_LINE_SOLID,
    	GO_LINE_DASH,
    	GO_LINE_DOT,
    	GO_LINE_DASH_DOT,
    	GO_LINE_DASH_DOT_DOT,
    	GO_LINE_MAX
    } GOLineDashType;

### go_line_dash_from_str ()

    GOLineDashType go_line_dash_from_str        (char const *name);

`name` : |
Returns : |

### go_line_dash_as_str ()

    charconst 	* go_line_dash_as_str            (GOLineDashType type);

`type` : |
Returns : |

### go_line_vpath_dash_free ()

    void        go_line_vpath_dash_free         (ArtVpathDash *dash);

`dash` : |

### go_line_get_vpath_dash ()

    ArtVpathDash* go_line_get_vpath_dash        (GOLineDashType type,
                                                 double scale);

`type` : |
`scale` : |
Returns : |

### go_line_clip_vpath ()

    ArtVpath*   go_line_clip_vpath              (ArtVpath const *path,
                                                 GogViewAllocation const *bbox);

`path` : |
`bbox` : |
Returns : |

### go_line_dash_vpath ()

    ArtVpath*   go_line_dash_vpath              (ArtVpath const *path,
                                                 ArtVpathDash const *dash,
                                                 GogViewAllocation const *bbox);

`path` : |
`dash` : |
`bbox` : |
Returns : |

### go_line_dash_selector ()

    gpointer    go_line_dash_selector           (GOLineDashType default_type);

`default_type` : |
Returns : |

### go_line_build_bpath ()

    ArtBpath*   go_line_build_bpath             (double const *x,
                                                 double const *y,
                                                 int n);

`x` : |
`y` : |
`n` : |
Returns : |

### go_line_build_vpath ()

    ArtVpath*   go_line_build_vpath             (double const *x,
                                                 double const *y,
                                                 int n);

`x` : |
`y` : |
`n` : |
Returns : |